#!/bin/bash

metode=$1

if [ "$metode" = "b" ];then
 docker build -t "siakbary/gsserver:cbt1" --progress=plain -f os .;
fi

if [ "$metode" = "localhost" ];then
echo "hello"
 # TODO
fi

if [ "$metode" = "up" ];then
docker compose up 
fi

if [ "$metode" = "t" ];then
 docker run --rm -it -p 8099:8099 -p 22102:22102/udp siakbary/gsserver:cbt1
fi

# Push Private
if [ "$metode" = "private_push" ];then
 docker push repo.yuuki.me/gsserver:cbt1
fi

# Push Public
if [ "$metode" = "push" ];then
 docker push siakbary/gsserver:cbt1
fi